Name:           perl-HTML-Template-Expr
Version:        0.07
Release:        5%{?dist}
Summary:        Expression support extension for HTML::Template
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Template-Expr/
Source0:        http://www.cpan.org/authors/id/S/SA/SAMTREGAR/HTML-Template-Expr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::Template) >= 2.4
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an extension to HTML::Template which allows
expressions in the template syntax.  This is purely an addition - all
the normal HTML::Template options, syntax and behaviors will still
work.  Expression support includes comparisons, math operations,
string operations and a mechanism to allow you add your own functions
at runtime.

%prep
%setup -q -n HTML-Template-Expr-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ANNOUNCE ARTISTIC Changes GPL README
%{perl_vendorlib}/HTML/
%{_mandir}/man3/HTML::Template::Expr.3*

%changelog
* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 0.07-5
- Adjust License-tag.
- BR: perl(Test::More) (BZ 419631).

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.07-4
- Reformat to match cpanspec output.
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Thu Oct 19 2006 Steven Pritchard <steve@kspei.com> 0.07-3
- Rebuild.

* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.07-2
- Fix order of arguments to find(1).

* Wed Apr 19 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.07-1
- 0.07.

* Sat Mar  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.06-1
- 0.06.

* Thu Dec 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.05-1
- 0.05.

* Tue Aug  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.04-1
- Bump for first FE build.

* Sat Jul  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.04-0.2
- Minor specfile cleanups.

* Tue Jun 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.04-0.1
- Rebuild for FC4.

* Sat Dec 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.04-0.fdr.1
- First build.
